#!/bin/bash

##################################################################################
# osu installer					                                                 # 
# Author:Nargajuna (Mailto: Mail@Nargajuna.co.cc)				                 #
##################################################################################

##################################################################################
#Settings
dialog=zenity
##################################################################################

#Prolog
$dialog --info \
        --title "Osu! Installer" \
        --text "Dieses Script versucht Osu\! unter Linux bereit zu stellen.\n
          Keine Garantie oder Gewährleistung!" \
        --width=300 \
        --height=100 \
        
 #Statuscode
        if [[ $? == 0 ]] ; then

#Ziel wählen
            ziel=$($dialog \
            --title "Zielverzeichnis wählen" \
            --file-selection \
            --directory  \
            --width=640 \
            --height=480);
            
#Statuscode
        if [[ $? == 0 ]] ; then           

      
# wineprefix setzen

( export WINEPREFIX=$ziel
  wget -N http://winetricks.org/winetricks 
  chmod +x winetricks
  ./winetricks corefonts gdiplus dotnet20 fontfix ddr=opengl sound=oss mwo=force 
  rm ./winetricks  ) | 
  $dialog --title "Osu! Installer" \
        --progress \
        --pulsate \
        --text "Wineprefix wird vorbereitet ..." \
        --width=300 \
        --height=100;
        
#Statuscode
       if [[ $? == 0 ]] ; then
  
# Osu entpacken
(mkdir $ziel/drive_c/osu
unzip -o ./osu.zip -d $ziel/drive_c/osu ) | 
$dialog --title "Osu! Installer" \
        --progress \
        --pulsate \
        --text "Osu wird entpackt..." \
        --width=300 \
        --height=100;

#Statuscode
       if [[ $? == 0 ]] ; then
#Startscript
echo export WINEPREFIX="$ziel" > osu.sh
echo cd $ziel/drive_c/osu >> osu.sh
echo aoss wine "osu!.exe" >> osu.sh
chmod +x osu.sh

$dialog --info \
        --title "Osu! Installer" \
        --text " Installation abgeschlossen. Osu kann nun mit \n
                 osu.sh \n 
gestartet werden. \n\n
Beachte: Osu unterstützt nur den DirectX Modus!! \n
Die Mausgeschwindigkeit sollte mit xset m [0-9] [0-9] angepasst werden. \n
Viel Spaß bei Osu =)" \
        --width=300 \
        --height=200 \
        
        #Statuscode
       if [[ $? == 0 ]] ; then
       
  #ENDE
              
$dialog --question --title "Osu! Installer" --text "Osu! jetzt starten?";
              
               #Statuscode
                if [[ $? == 0 ]] ; then     

./osu.sh


fi
fi
fi
fi
fi
fi
